[TESTING] Debian Stretch upgrade for OSMC

It seems the upgrade didn’t go as planned. Followed the exact steps from the initial post, but then the installer complained it couldn’t install a package “unknown package”. I believe kodi might be upgraded, but the base system isn’t. I’ve collected all logs: https://paste.osmc.tv/xisagijuma

I’m running a manual apt-get -u dist-upgrade from cli right now and it will upgrade the base system so it seems (at least, it shows about 100 packages to be updated :)). I’ll post again once the manual update is completed.
PS, I’m running piaware and flightradar24 package, perhaps that could be the reason.

Remove/comment this extraneous repo.

deb http://repo.feed.flightradar24.com flightradar24 raspberrypi-stable

I have been trying the new Cec options available
i have tried the stop playback on tv off but it does not seems to work

Quick update, after manually upgrading via cli almost all is fine. It seems I’m unable to (re-)install syslog-ng, but everything else is just fine.

Edit: fixed syslog-ng as well. Turns out /etc/syslog-ng/syslog-ng.conf is no longer compatible and needs to be re-installed. This isn’t done automatically so had to download the package, extract it and place all /etc/syslog-ng/* files manually there.

This did not work for me the first time, I got a reboot and sad face over and over and had to move back to a backup to attempt it again.

Quick update (< 10min). I did the upgrade as mentioned via My OSMC -> Updater on my Vero4K.
Upgrade to Stretch was smoothless.

But… since i was using the @gmc nightly builds (17.8-134) for Kodi 18 Leia i ended up in an infinite loop of sad faces when OSMC tried to start Kodi.

I fixed that by following the step mentioned in [TESTING] Kodi 18 (Leia) builds for Vero 2 & 4K for Debian Stretch.

No everything works smoothly (Tvheadend, Emby, …).

Thx for all the great work!!!

I’m trying to install Samba. What’s wrong with this one?

osmc@osmc:~$ sudo apt-get install smb-app-osmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package smb-app-osmc is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'smb-app-osmc' has no installation candidate

Any word on when this will become official?

Hi,

Have you tried installing samba from the app store in MyOsmc?

Thanks Tom.

It’s in stretch-devel.

So it did the second time? If not, could you post debug logs, please.

Thanks for testing.

seems to have worked the second time starting from scratch on a fresh install.

No stretch-devel here. I’ve reverted back to stretch after upgrade,.

osmc@osmc:~$ sudo apt-get update && sudo apt-get install smb-app-osmc
Ign:2 http://ftp.debian.org/debian stretch InRelease
Get:3 http://ftp.debian.org/debian stretch-updates InRelease [91.0 kB]
Hit:4 http://security.debian.org stretch/updates InRelease
Hit:1 http://ftp.fau.de/osmc/osmc/apt stretch InRelease
Hit:5 http://ftp.debian.org/debian stretch Release
Fetched 91.0 kB in 2s (39.7 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package smb-app-osmc is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

The stretch repository is not finished at this moment. So you need to stay on stretch-devel to install the package.

Thanx, it helped! Removed -devel branch after samba installation just in case.

You will not be able to get any upgrades/fixes from the stretch repo until it is officially released. Probably safer to stay on stretch-devel and turn off automatic upgrades so you can test any changes to the active repo (or not).

Hi
after upgrading I have a problem with VNC

sudo systemctl start dispmanx_vncserver.service

can not start it?

Do no know how to find root cause
Service status -l does not show much so.

dmesg -T | grep vnc does not show anything?

where to look?

Thanks T

osmc@DEVosmc96RPI2:/var/log$ sudo systemctl status -l dispmanx_vncserver.service
● dispmanx_vncserver.service - VNC Server
Loaded: loaded (/etc/systemd/system/dispmanx_vncserver.service; enabled; vendor preset: enabled)
Active: activating (auto-restart) (Result: exit-code) since Fri 2017-12-15 16:21:42 CET; 7s ago
Process: 17161 ExecStart=/usr/bin/dispmanx_vncserver (code=exited, status=127)
Process: 17158 ExecStartPre=/sbin/modprobe evdev (code=exited, status=0/SUCCESS)
Main PID: 17161 (code=exited, status=127)
CGroup: /system.slice/dispmanx_vncserver.service

Dez 15 16:21:42 DEVosmc96RPI2 systemd[1]: dispmanx_vncserver.service: Failed with result ‘exit-code’.

You would need to recompile VNC following the original instructions as the shared libraries have changed

Hi , thanks for the fast response . ok will check

it worked. perfect.

just having another issue.
want to upgrade kodi leia from version: 17.8-120
but have this message:

Reinstallation of rbp2-mediacenter-osmc is not possible, it cannot be downloaded.

any hint here available?

strangewise it is running now again after update and upgrade…

so solved!!

Upgraded RPI2 and RPI3 without any hiccups.

1 Like